<?php
  
IF (GET('get') == "edit"){
  
  CSRF::GET_CHECK_VALID('get');
  
  IF (ACCESS('files_edit', NULL, 1) || MANAGEMENT == 1 || $account['ID'] == $user['ID']){
    
    IF (POST('ok')){
      
      DB_FILTER();
      
      $err_data = 0;
      
      $name = ADSL(POST('name'));
      $message = ADSL(POST('message'));
      $private_comments = INTVAL(POST('private_comments'));
      $dir_id = INTVAL(POST('dir_id'));
      
      IF (STR($name) < 1){
        
        ERROR('Имя не может быть меньше 1 символа', 'session');
        $err_data = 1;
      
      }
      
      IF (STR($name) > 100){
        
        ERROR('Имя не может быть больше 100 символов', 'session');
        $err_data = 1;
      
      }
      
      IF (STR($message) > 1000){
        
        ERROR('Описание не может быть больше 1000 символов', 'session');
        $err_data = 1;
      
      }
      
      IF ($files['NAME'] != $name && DB::GET_COLUMN("SELECT COUNT(*) FROM `FILES` WHERE `USER_ID` = '".$account['ID']."' AND `NAME` = '".$name."' AND `ID_DIR` = '".$id_dir."' LIMIT 1") == 1){
        
        ERROR('Файл с таким названием уже существует в этом альбоме', 'session');
        $err_data = 1;
      
      }
      
      IF ($err_data == 1){
        
        REDIRECT('/modules/?path=files&section=show&id='.$files['ID'].'&get=edit&'.$token_url);
      
      }
      
      $name2 = TEXT_PROCESSING(POST('name'));
      
      DB::GET_SET("UPDATE `FILES` SET `ID_DIR` = '".$dir_id."', `PRIVATE_COMMENTS` = '".$private_comments."', `NAME` = '".$name2."', `MESSAGE` = '".$message."' WHERE `ID` = '".$files['ID']."' LIMIT 1");
      
      IF (ACCESS('files_edit', NULL, 1) || MANAGEMENT == 1){
        
        LOGS('Файлы - редактирование файла '.$account['LOGIN'].'', $user['ID']);
      
      }
      
      SUCCESS('Изменения успешно приняты', 'session');
      REDIRECT('/modules/?path=files&section=show&id='.$files['ID']);
    
    }
    
    ECHO "<div class='list'>";
    
    ECHO "<form method='post' class='form' action='/modules/?path=files&section=show&id=".$files['ID']."&get=edit&".$token_url."'>";
    
    ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
    HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($files['NAME']));
    
    ECHO "<b>".LG('Введите описание')."</b> (".LG('до 1000 символов')."):<br />";
    HTML::TEXTAREA(TEXT_ABSOLUTE($files['MESSAGE']), 'message', 'Описание');
    
    ECHO "<br /><b>".LG('Альбом')."</b>:<br />";
    
    $data = DB::GET_STRING_ALL("SELECT `ID`,`NAME` FROM `FILES_DIR` WHERE `USER_ID` = '".$account['ID']."' ORDER BY `ID` DESC");
    
    ECHO "<select name='dir_id' class='form-control-select'>";
    ECHO "<option value='0' ".($file['ID_DIR'] == 0?' selected="selected"':NULL)."> ".LG('Без альбома')."</option>";
    
    WHILE ($list = $data->FETCH()){
      
      ECHO "<option value='".$list['ID']."' ".($files['ID_DIR'] == $list['ID']?' selected="selected"':NULL)."> ".TEXT_ABSOLUTE($list['NAME'])."</option>";
    
    }
    
    ECHO "</select><br />";
    
    ECHO "<br /><b>".LG('Комментирование')."</b>:<br />";
    ECHO "<select name='private_comments' class='form-control-select'>";
    ECHO "<option value='0' ".($files['PRIVATE_СOMMENTS'] == 0?' selected="selected"':NULL)."> ".LG('Всем')."</option>";
    ECHO "<option value='1' ".($files['PRIVATE_COMMENTS'] == 1?' selected="selected"':NULL)."> ".LG('Мне и друзьям')."</option>";
    ECHO "<option value='2' ".($files['PRIVATE_COMMENTS'] == 2?' selected="selected"':NULL)."> ".LG('Только мне')."</option>";
    ECHO "</select><br /><br />";
    
    HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');
    
    ECHO "</form>";
    
    ECHO "</div>";
    
    ECHO "<a href='/modules/?path=files&section=show&id=".$files['ID']."'><div class='list'>";
    ECHO ICONS('arrow-left', 17, 'fa-fw')." ".LG('Назад');
    ECHO "</div></a>";
    
    //Навигация
    ECHO "<div class='navigation'>";
    ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO $nav;
    ECHO "</div>";
    
    REQUIRE (ROOT.'/system/connections/footer.php');
    EXIT;
    
  }
  
}

?>