<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Общие настройки')."";
ECHO "</div>";

IF (POST('ok')){
  
  $ajax_interval_set = INTVAL(POST('ajax_interval_set'));
  $ajax_interval = INTVAL(POST('ajax_interval'));
  $ajax = INTVAL(POST('ajax'));
  $str = INTVAL(POST('str'));
  $access = INTVAL(POST('access'));
  $int = INTVAL(POST('int'));
  $system = INTVAL(POST('system'));
  $javascript = INTVAL(POST('javascript'));
  $csrf = INTVAL(POST('csrf'));
  $timezone = ADSL(POST('timezone'));
  
  IF ($str < 1){
    
    ERROR('Количество пунктов на страницу должно быть не менее 1', 'session');
    REDIRECT('?path=system&section=settings');
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$system."'") == 0){
    
    ERROR('Такого пользователя не существует', 'session');
    REDIRECT('?path=system&section=settings');
    
  }
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'AJAX', $ajax);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'AJAX_INTERVAL_SET', $ajax_interval_set);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'AJAX_INTERVAL', $ajax_interval);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'ACCESS', $access);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'INTERPRETATOR', $int);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'SYSTEM', $system);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'JAVASCRIPT', $javascript);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'STR_GUESTS', $str);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'CSRF', $csrf);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'TIMEZONE', $timezone);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=settings');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Доступ к сайту').":</b><br />";
ECHO "<select name='access' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('ACCESS') == 1?" selected='selected'" : NULL)."> ".LG('Все')."</option>";
ECHO "<option value='0' ".(CONFIG('ACCESS') == 0?" selected='selected'" : NULL)."> ".LG('Только пользователи')."</option>";

ECHO "</select><br /><br />";

HTML::INPUT('system', 'ID', 'ID системы:', NULL, CONFIG('SYSTEM'), 'form-control-30');

$us = DB::GET_STRING("SELECT `ID`,`LOGIN` FROM `USERS` WHERE `ID` = '".CONFIG('SYSTEM')."' LIMIT 1");

ECHO LG('Системой на сайте является пользователь с логином')." <a load='none' href='/id".$us['ID']."'>".ICONS('user', 15, 'fa-fw')." ".$us['LOGIN']."</a><br /><br />";

HTML::INPUT('str', '0', 'Количество пунктов на страницу для гостей:', NULL, CONFIG('STR_GUESTS'), 'form-control-30');

ECHO "<label class='custom-checkbox'><input type='checkbox' name='javascript' value='1'".(CONFIG('JAVASCRIPT') == 1?" checked='checked'" : NULL)."><span>".LG('Предупреждение пользователям об отсутствии поддержки JavaScript')."</span></label><br /><br />";

ECHO "<label class='custom-checkbox'><input type='checkbox' name='csrf' value='1'".(CONFIG('CSRF') == 1?" checked='checked'" : NULL)."><span>".LG('Токены для get/post запросов')."</span></label><br /><br />";

ECHO "<label class='custom-checkbox'><input type='checkbox' name='int' value='1'".(CONFIG('INTERPRETATOR') == 1?" checked='checked'" : NULL)."><span>".LG('Ошибки интерпретатора')."</span></label><br /><br />";

ECHO "<label class='custom-checkbox'><input type='checkbox' name='ajax' value='1'".(CONFIG('AJAX') == 1?" checked='checked'" : NULL)."><span>".LG('AJAX переходы по страницам и отправка форм')."</span></label><br /><br />";

ECHO "<label class='custom-checkbox'><input type='checkbox' name='ajax_interval_set' value='1'".(CONFIG('AJAX_INTERVAL_SET') == 1?" checked='checked'" : NULL)."><span>".LG('AJAX обновление контента по интервалу')."</span></label><br /><br />";

ECHO "<b>".LG('Интервал AJAX обновления контента').":</b><br />";
ECHO "<select name='ajax_interval' class='form-control-select'>";

ECHO "<option value='1000' ".(CONFIG('AJAX_INTERVAL') == 1000?" selected='selected'" : NULL).">1 ".LG('сек.')."</option>";
ECHO "<option value='2000' ".(CONFIG('AJAX_INTERVAL') == 2000?" selected='selected'" : NULL).">2 ".LG('сек.')."</option>";
ECHO "<option value='3000' ".(CONFIG('AJAX_INTERVAL') == 3000?" selected='selected'" : NULL).">3 ".LG('сек.')."</option>";
ECHO "<option value='4000' ".(CONFIG('AJAX_INTERVAL') == 4000?" selected='selected'" : NULL).">4 ".LG('сек.')."</option>";
ECHO "<option value='5000' ".(CONFIG('AJAX_INTERVAL') == 5000?" selected='selected'" : NULL).">5 ".LG('сек.')."</option>";
ECHO "<option value='6000' ".(CONFIG('AJAX_INTERVAL') == 6000?" selected='selected'" : NULL).">6 ".LG('сек.')."</option>";
ECHO "<option value='7000' ".(CONFIG('AJAX_INTERVAL') == 7000?" selected='selected'" : NULL).">7 ".LG('сек.')." (".LG('рекомендуется').")</option>";
ECHO "<option value='8000' ".(CONFIG('AJAX_INTERVAL') == 8000?" selected='selected'" : NULL).">8 ".LG('сек.')."</option>";
ECHO "<option value='9000' ".(CONFIG('AJAX_INTERVAL') == 9000?" selected='selected'" : NULL).">9 ".LG('сек.')."</option>";
ECHO "<option value='10000' ".(CONFIG('AJAX_INTERVAL') == 10000?" selected='selected'" : NULL).">10 ".LG('сек.')."</option>";
ECHO "<option value='11000' ".(CONFIG('AJAX_INTERVAL') == 11000?" selected='selected'" : NULL).">11 ".LG('сек.')."</option>";
ECHO "<option value='12000' ".(CONFIG('AJAX_INTERVAL') == 12000?" selected='selected'" : NULL).">12 ".LG('сек.')."</option>";
ECHO "<option value='13000' ".(CONFIG('AJAX_INTERVAL') == 13000?" selected='selected'" : NULL).">13 ".LG('сек.')."</option>";
ECHO "<option value='14000' ".(CONFIG('AJAX_INTERVAL') == 14000?" selected='selected'" : NULL).">14 ".LG('сек.')."</option>";
ECHO "<option value='15000' ".(CONFIG('AJAX_INTERVAL') == 15000?" selected='selected'" : NULL).">15 ".LG('сек.')."</option>";
ECHO "<option value='16000' ".(CONFIG('AJAX_INTERVAL') == 16000?" selected='selected'" : NULL).">16 ".LG('сек.')."</option>";
ECHO "<option value='17000' ".(CONFIG('AJAX_INTERVAL') == 17000?" selected='selected'" : NULL).">17 ".LG('сек.')."</option>";
ECHO "<option value='18000' ".(CONFIG('AJAX_INTERVAL') == 18000?" selected='selected'" : NULL).">18 ".LG('сек.')."</option>";
ECHO "<option value='19000' ".(CONFIG('AJAX_INTERVAL') == 19000?" selected='selected'" : NULL).">19 ".LG('сек.')."</option>";
ECHO "<option value='20000' ".(CONFIG('AJAX_INTERVAL') == 20000?" selected='selected'" : NULL).">20 ".LG('сек.')."</option>";
ECHO "<option value='21000' ".(CONFIG('AJAX_INTERVAL') == 21000?" selected='selected'" : NULL).">21 ".LG('сек.')."</option>";
ECHO "<option value='22000' ".(CONFIG('AJAX_INTERVAL') == 22000?" selected='selected'" : NULL).">22 ".LG('сек.')."</option>";
ECHO "<option value='23000' ".(CONFIG('AJAX_INTERVAL') == 23000?" selected='selected'" : NULL).">23 ".LG('сек.')."</option>";
ECHO "<option value='24000' ".(CONFIG('AJAX_INTERVAL') == 24000?" selected='selected'" : NULL).">24 ".LG('сек.')."</option>";
ECHO "<option value='25000' ".(CONFIG('AJAX_INTERVAL') == 25000?" selected='selected'" : NULL).">25 ".LG('сек.')."</option>";
ECHO "<option value='26000' ".(CONFIG('AJAX_INTERVAL') == 26000?" selected='selected'" : NULL).">26 ".LG('сек.')."</option>";
ECHO "<option value='27000' ".(CONFIG('AJAX_INTERVAL') == 27000?" selected='selected'" : NULL).">27 ".LG('сек.')."</option>";
ECHO "<option value='28000' ".(CONFIG('AJAX_INTERVAL') == 28000?" selected='selected'" : NULL).">28 ".LG('сек.')."</option>";
ECHO "<option value='29000' ".(CONFIG('AJAX_INTERVAL') == 29000?" selected='selected'" : NULL).">29 ".LG('сек.')."</option>";
ECHO "<option value='30000' ".(CONFIG('AJAX_INTERVAL') == 30000?" selected='selected'" : NULL).">30 ".LG('сек.')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Временная зона сайта по умолчанию').":</b><br />";
ECHO "<select name='timezone' class='form-control-select'>";

ECHO "<option value='Africa/Abidjan' ".(CONFIG('TIMEZONE') == 'Africa/Abidjan'?" selected='selected'" : NULL).">Africa/Abidjan</option>";
ECHO "<option value='Africa/Asmara' ".(CONFIG('TIMEZONE') == 'Africa/Asmara'?" selected='selected'" : NULL).">Africa/Asmara</option>";
ECHO "<option value='Africa/Bissau' ".(CONFIG('TIMEZONE') == 'Africa/Bissau'?" selected='selected'" : NULL).">Africa/Bissau</option>";
ECHO "<option value='Africa/Cairo' ".(CONFIG('TIMEZONE') == 'Africa/Cairo'?" selected='selected'" : NULL).">Africa/Cairo</option>";
ECHO "<option value='Africa/Dakar' ".(CONFIG('TIMEZONE') == 'Africa/Dakar'?" selected='selected'" : NULL).">Africa/Dakar</option>";
ECHO "<option value='Africa/El_Aaiun' ".(CONFIG('TIMEZONE') == 'Africa/El_Aaiun'?" selected='selected'" : NULL).">Africa/El_Aaiun</option>";
ECHO "<option value='Africa/Johannesburg' ".(CONFIG('TIMEZONE') == 'Africa/Johannesburg'?" selected='selected'" : NULL).">Africa/Johannesburg</option>";
ECHO "<option value='Africa/Kigali' ".(CONFIG('TIMEZONE') == 'Africa/Kigali'?" selected='selected'" : NULL).">Africa/Kigali</option>";
ECHO "<option value='Africa/Lome' ".(CONFIG('TIMEZONE') == 'Africa/Lome'?" selected='selected'" : NULL).">Africa/Lome</option>";
ECHO "<option value='Africa/Malabo' ".(CONFIG('TIMEZONE') == 'Africa/Malabo'?" selected='selected'" : NULL).">Africa/Malabo</option>";
ECHO "<option value='Africa/Mogadishu' ".(CONFIG('TIMEZONE') == 'Africa/Mogadishu'?" selected='selected'" : NULL).">Africa/Mogadishu</option>";
ECHO "<option value='Africa/Niamey' ".(CONFIG('TIMEZONE') == 'Africa/Niamey'?" selected='selected'" : NULL).">Africa/Niamey</option>";
ECHO "<option value='Africa/Sao_Tome' ".(CONFIG('TIMEZONE') == 'Africa/Sao_Tome'?" selected='selected'" : NULL).">Africa/Sao_Tome</option>";
ECHO "<option value='Africa/Accra' ".(CONFIG('TIMEZONE') == 'Africa/Accra'?" selected='selected'" : NULL).">Africa/Accra</option>";
ECHO "<option value='Africa/Bamako' ".(CONFIG('TIMEZONE') == 'Africa/Bamako'?" selected='selected'" : NULL).">Africa/Bamako</option>";
ECHO "<option value='Africa/Blantyre' ".(CONFIG('TIMEZONE') == 'Africa/Blantyre'?" selected='selected'" : NULL).">Africa/Blantyre</option>";

ECHO "<option value='America/Adak' ".(CONFIG('TIMEZONE') == 'America/Adak'?" selected='selected'" : NULL).">America/Adak</option>";
ECHO "<option value='America/Araguaina' ".(CONFIG('TIMEZONE') == 'America/Araguaina'?" selected='selected'" : NULL).">America/Araguaina</option>";
ECHO "<option value='America/Argentina/Jujuy' ".(CONFIG('TIMEZONE') == 'America/Argentina/Jujuy'?" selected='selected'" : NULL).">America/Argentina/Jujuy</option>";
ECHO "<option value='America/Argentina/Salta' ".(CONFIG('TIMEZONE') == 'America/Argentina/Salta'?" selected='selected'" : NULL).">America/Argentina/Salta</option>";
ECHO "<option value='America/Argentina/Ushuaia' ".(CONFIG('TIMEZONE') == 'America/Argentina/Ushuaia'?" selected='selected'" : NULL).">America/Argentina/Ushuaia</option>";
ECHO "<option value='America/Bahia' ".(CONFIG('TIMEZONE') == 'America/Bahia'?" selected='selected'" : NULL).">America/Bahia</option>";
ECHO "<option value='America/Belize' ".(CONFIG('TIMEZONE') == 'America/Belize'?" selected='selected'" : NULL).">America/Belize</option>";
ECHO "<option value='America/Boise' ".(CONFIG('TIMEZONE') == 'America/Boise'?" selected='selected'" : NULL).">America/Boise</option>";
ECHO "<option value='America/Caracas' ".(CONFIG('TIMEZONE') == 'America/Caracas'?" selected='selected'" : NULL).">America/Caracas</option>";
ECHO "<option value='America/Chihuahua' ".(CONFIG('TIMEZONE') == 'America/Chihuahua'?" selected='selected'" : NULL).">America/Chihuahua</option>";
ECHO "<option value='America/Curacao' ".(CONFIG('TIMEZONE') == 'America/Curacao'?" selected='selected'" : NULL).">America/Curacao</option>";
ECHO "<option value='America/Denver' ".(CONFIG('TIMEZONE') == 'America/Denver'?" selected='selected'" : NULL).">America/Denver</option>";
ECHO "<option value='America/Eirunepe' ".(CONFIG('TIMEZONE') == 'America/Eirunepe'?" selected='selected'" : NULL).">America/Eirunepe</option>";
ECHO "<option value='America/Glace_Bay' ".(CONFIG('TIMEZONE') == 'America/Glace_Bay'?" selected='selected'" : NULL).">America/Glace_Bay</option>";
ECHO "<option value='America/Guadeloupe' ".(CONFIG('TIMEZONE') == 'America/Guadeloupe'?" selected='selected'" : NULL).">America/Guadeloupe</option>";
ECHO "<option value='America/Halifax' ".(CONFIG('TIMEZONE') == 'America/Halifax'?" selected='selected'" : NULL).">America/Halifax</option>";
ECHO "<option value='America/Indiana/Knox' ".(CONFIG('TIMEZONE') == 'America/Indiana/Knox'?" selected='selected'" : NULL).">America/Indiana/Knox</option>";
ECHO "<option value='America/Indiana/Vevay' ".(CONFIG('TIMEZONE') == 'America/Indiana/Vevay'?" selected='selected'" : NULL).">America/Indiana/Vevay</option>";
ECHO "<option value='America/Iqaluit' ".(CONFIG('TIMEZONE') == 'America/Iqaluit'?" selected='selected'" : NULL).">America/Iqaluit</option>";
ECHO "<option value='America/Kentucky/Monticello' ".(CONFIG('TIMEZONE') == 'America/Kentucky/Monticello'?" selected='selected'" : NULL).">America/Kentucky/Monticello</option>";
ECHO "<option value='America/Los_Angeles' ".(CONFIG('TIMEZONE') == 'America/Los_Angeles'?" selected='selected'" : NULL).">America/Los_Angeles</option>";

ECHO "<option value='Antarctica/Casey' ".(CONFIG('TIMEZONE') == 'Antarctica/Casey'?" selected='selected'" : NULL).">Antarctica/Casey</option>";
ECHO "<option value='Antarctica/Mawson' ".(CONFIG('TIMEZONE') == 'Antarctica/Mawson'?" selected='selected'" : NULL).">Antarctica/Mawson</option>";
ECHO "<option value='Antarctica/Syowa' ".(CONFIG('TIMEZONE') == 'Antarctica/Syowa'?" selected='selected'" : NULL).">Antarctica/Syowa</option>";
ECHO "<option value='Antarctica/Davis' ".(CONFIG('TIMEZONE') == 'Antarctica/Davis'?" selected='selected'" : NULL).">Antarctica/Davis</option>";
ECHO "<option value='Antarctica/McMurdo' ".(CONFIG('TIMEZONE') == 'Antarctica/McMurdo'?" selected='selected'" : NULL).">Antarctica/McMurdo</option>";
ECHO "<option value='Antarctica/Troll' ".(CONFIG('TIMEZONE') == 'Antarctica/Troll'?" selected='selected'" : NULL).">Antarctica/Troll</option>";
ECHO "<option value='Antarctica/DumontDUrville' ".(CONFIG('TIMEZONE') == 'Antarctica/DumontDUrville'?" selected='selected'" : NULL).">Antarctica/DumontDUrville</option>";
ECHO "<option value='Antarctica/Palmer' ".(CONFIG('TIMEZONE') == 'Antarctica/Palmer'?" selected='selected'" : NULL).">Antarctica/Palmer</option>";
ECHO "<option value='Antarctica/Vostok' ".(CONFIG('TIMEZONE') == 'Antarctica/Vostok'?" selected='selected'" : NULL).">Antarctica/Vostok</option>";
ECHO "<option value='Antarctica/Macquarie' ".(CONFIG('TIMEZONE') == 'Antarctica/Macquarie'?" selected='selected'" : NULL).">Antarctica/Macquarie</option>";
ECHO "<option value='Antarctica/Rothera' ".(CONFIG('TIMEZONE') == 'Antarctica/Rothera'?" selected='selected'" : NULL).">Antarctica/Rothera</option>";

ECHO "<option value='Arctic/Longyearbyen' ".(CONFIG('TIMEZONE') == 'Arctic/Longyearbyen'?" selected='selected'" : NULL).">Arctic/Longyearbyen</option>";

ECHO "<option value='Asia/Aden' ".(CONFIG('TIMEZONE') == 'Asia/Aden'?" selected='selected'" : NULL).">Asia/Aden</option>";
ECHO "<option value='Asia/Aqtau' ".(CONFIG('TIMEZONE') == 'Asia/Aqtau'?" selected='selected'" : NULL).">Asia/Aqtau</option>";
ECHO "<option value='Asia/Baghdad' ".(CONFIG('TIMEZONE') == 'Asia/Baghdad'?" selected='selected'" : NULL).">Asia/Baghdad</option>";
ECHO "<option value='Asia/Barnaul' ".(CONFIG('TIMEZONE') == 'Asia/Barnaul'?" selected='selected'" : NULL).">Asia/Barnaul</option>";
ECHO "<option value='Asia/Chita' ".(CONFIG('TIMEZONE') == 'Asia/Chita'?" selected='selected'" : NULL).">Asia/Chita</option>";
ECHO "<option value='Asia/Dhaka' ".(CONFIG('TIMEZONE') == 'Asia/Dhaka'?" selected='selected'" : NULL).">Asia/Dhaka</option>";
ECHO "<option value='Asia/Famagusta' ".(CONFIG('TIMEZONE') == 'Asia/Famagusta'?" selected='selected'" : NULL).">Asia/Famagusta</option>";
ECHO "<option value='Asia/Hong_Kong' ".(CONFIG('TIMEZONE') == 'Asia/Hong_Kong'?" selected='selected'" : NULL).">Asia/Hong_Kong</option>";
ECHO "<option value='Asia/Jayapura' ".(CONFIG('TIMEZONE') == 'Asia/Jayapura'?" selected='selected'" : NULL).">Asia/Jayapura</option>";
ECHO "<option value='Asia/Karachi' ".(CONFIG('TIMEZONE') == 'Asia/Karachi'?" selected='selected'" : NULL).">Asia/Karachi</option>";
ECHO "<option value='Asia/Krasnoyarsk' ".(CONFIG('TIMEZONE') == 'Asia/Krasnoyarsk'?" selected='selected'" : NULL).">Asia/Krasnoyarsk</option>";
ECHO "<option value='Asia/Macau' ".(CONFIG('TIMEZONE') == 'Asia/Macau'?" selected='selected'" : NULL).">Asia/Macau</option>";
ECHO "<option value='Asia/Muscat' ".(CONFIG('TIMEZONE') == 'Asia/Muscat'?" selected='selected'" : NULL).">Asia/Muscat</option>";
ECHO "<option value='Asia/Omsk' ".(CONFIG('TIMEZONE') == 'Asia/Omsk'?" selected='selected'" : NULL).">Asia/Omsk</option>";
ECHO "<option value='Asia/Pyongyang' ".(CONFIG('TIMEZONE') == 'Asia/Pyongyang'?" selected='selected'" : NULL).">Asia/Pyongyang</option>";
ECHO "<option value='Asia/Riyadh' ".(CONFIG('TIMEZONE') == 'Asia/Riyadh'?" selected='selected'" : NULL).">Asia/Riyadh</option>";
ECHO "<option value='Asia/Shanghai' ".(CONFIG('TIMEZONE') == 'Asia/Shanghai'?" selected='selected'" : NULL).">Asia/Shanghai</option>";
ECHO "<option value='Asia/Tashkent' ".(CONFIG('TIMEZONE') == 'Asia/Tashkent'?" selected='selected'" : NULL).">Asia/Tashkent</option>";
ECHO "<option value='Asia/Tokyo' ".(CONFIG('TIMEZONE') == 'Asia/Tokyo'?" selected='selected'" : NULL).">Asia/Tokyo</option>";
ECHO "<option value='Asia/Ust-Nera' ".(CONFIG('TIMEZONE') == 'Asia/Ust-Nera'?" selected='selected'" : NULL).">Asia/Ust-Nera</option>";
ECHO "<option value='Asia/Yangon' ".(CONFIG('TIMEZONE') == 'Asia/Yangon'?" selected='selected'" : NULL).">Asia/Yangon</option>";
ECHO "<option value='Asia/Almaty' ".(CONFIG('TIMEZONE') == 'Asia/Almaty'?" selected='selected'" : NULL).">Asia/Almaty</option>";
ECHO "<option value='Asia/Aqtobe' ".(CONFIG('TIMEZONE') == 'Asia/Aqtobe'?" selected='selected'" : NULL).">Asia/Aqtobe</option>";
ECHO "<option value='Asia/Bahrain' ".(CONFIG('TIMEZONE') == 'Asia/Bahrain'?" selected='selected'" : NULL).">Asia/Bahrain</option>";
ECHO "<option value='Asia/Beirut' ".(CONFIG('TIMEZONE') == 'Asia/Beirut'?" selected='selected'" : NULL).">Asia/Beirut</option>";
ECHO "<option value='Asia/Choibalsan' ".(CONFIG('TIMEZONE') == 'Asia/Choibalsan'?" selected='selected'" : NULL).">Asia/Choibalsan</option>";
ECHO "<option value='Asia/Dili' ".(CONFIG('TIMEZONE') == 'Asia/Dili'?" selected='selected'" : NULL).">Asia/Dili</option>";
ECHO "<option value='Asia/Gaza' ".(CONFIG('TIMEZONE') == 'Asia/Gaza'?" selected='selected'" : NULL).">Asia/Gaza</option>";
ECHO "<option value='Asia/Hovd' ".(CONFIG('TIMEZONE') == 'Asia/Hovd'?" selected='selected'" : NULL).">Asia/Hovd</option>";
ECHO "<option value='Asia/Jerusalem' ".(CONFIG('TIMEZONE') == 'Asia/Jerusalem'?" selected='selected'" : NULL).">Asia/Jerusalem</option>";
ECHO "<option value='Asia/Kathmandu' ".(CONFIG('TIMEZONE') == 'Asia/Kathmandu'?" selected='selected'" : NULL).">Asia/Kathmandu</option>";
ECHO "<option value='Asia/Kuala_Lumpur' ".(CONFIG('TIMEZONE') == 'Asia/Kuala_Lumpur'?" selected='selected'" : NULL).">Asia/Kuala_Lumpur</option>";
ECHO "<option value='Asia/Magadan' ".(CONFIG('TIMEZONE') == 'Asia/Magadan'?" selected='selected'" : NULL).">Asia/Magadan</option>";
ECHO "<option value='Asia/Nicosia' ".(CONFIG('TIMEZONE') == 'Asia/Nicosia'?" selected='selected'" : NULL).">Asia/Nicosia</option>";
ECHO "<option value='Asia/Oral' ".(CONFIG('TIMEZONE') == 'Asia/Oral'?" selected='selected'" : NULL).">Asia/Oral</option>";
ECHO "<option value='Asia/Qatar' ".(CONFIG('TIMEZONE') == 'Asia/Qatar'?" selected='selected'" : NULL).">Asia/Qatar</option>";
ECHO "<option value='Asia/Sakhalin' ".(CONFIG('TIMEZONE') == 'Asia/Sakhalin'?" selected='selected'" : NULL).">Asia/Sakhalin</option>";
ECHO "<option value='Asia/Singapore' ".(CONFIG('TIMEZONE') == 'Asia/Singapore'?" selected='selected'" : NULL).">Asia/Singapore</option>";
ECHO "<option value='Asia/Tbilisi' ".(CONFIG('TIMEZONE') == 'Asia/Tbilisi'?" selected='selected'" : NULL).">Asia/Tbilisi</option>";
ECHO "<option value='Asia/Tomsk' ".(CONFIG('TIMEZONE') == 'Asia/Tomsk'?" selected='selected'" : NULL).">Asia/Tomsk</option>";
ECHO "<option value='Asia/Vientiane' ".(CONFIG('TIMEZONE') == 'Asia/Vientiane'?" selected='selected'" : NULL).">Asia/Vientiane</option>";
ECHO "<option value='Asia/Yekaterinburg' ".(CONFIG('TIMEZONE') == 'Asia/Yekaterinburg'?" selected='selected'" : NULL).">Asia/Yekaterinburg</option>";
ECHO "<option value='Asia/Amman' ".(CONFIG('TIMEZONE') == 'Asia/Amman'?" selected='selected'" : NULL).">Asia/Amman</option>";
ECHO "<option value='Asia/Ashgabat' ".(CONFIG('TIMEZONE') == 'Asia/Ashgabat'?" selected='selected'" : NULL).">Asia/Ashgabat</option>";
ECHO "<option value='Asia/Baku' ".(CONFIG('TIMEZONE') == 'Asia/Baku'?" selected='selected'" : NULL).">Asia/Baku</option>";
ECHO "<option value='Asia/Bishkek' ".(CONFIG('TIMEZONE') == 'Asia/Bishkek'?" selected='selected'" : NULL).">Asia/Bishkek</option>";
ECHO "<option value='Asia/Colombo' ".(CONFIG('TIMEZONE') == 'Asia/Colombo'?" selected='selected'" : NULL).">Asia/Colombo</option>";
ECHO "<option value='Asia/Dubai' ".(CONFIG('TIMEZONE') == 'Asia/Dubai'?" selected='selected'" : NULL).">Asia/Dubai</option>";
ECHO "<option value='Asia/Hebron' ".(CONFIG('TIMEZONE') == 'Asia/Hebron'?" selected='selected'" : NULL).">Asia/Hebron</option>";
ECHO "<option value='Asia/Irkutsk' ".(CONFIG('TIMEZONE') == 'Asia/Irkutsk'?" selected='selected'" : NULL).">Asia/Irkutsk</option>";
ECHO "<option value='Asia/Kabul' ".(CONFIG('TIMEZONE') == 'Asia/Kabul'?" selected='selected'" : NULL).">Asia/Kabul</option>";
ECHO "<option value='Asia/Khandyga' ".(CONFIG('TIMEZONE') == 'Asia/Khandyga'?" selected='selected'" : NULL).">Asia/Khandyga</option>";
ECHO "<option value='Asia/Kuching' ".(CONFIG('TIMEZONE') == 'Asia/Kuching'?" selected='selected'" : NULL).">Asia/Kuching</option>";
ECHO "<option value='Asia/Makassar' ".(CONFIG('TIMEZONE') == 'Asia/Makassar'?" selected='selected'" : NULL).">Asia/Makassar</option>";
ECHO "<option value='Asia/Novokuznetsk' ".(CONFIG('TIMEZONE') == 'Asia/Novokuznetsk'?" selected='selected'" : NULL).">Asia/Novokuznetsk</option>";
ECHO "<option value='Asia/Phnom_Penh' ".(CONFIG('TIMEZONE') == 'Asia/Phnom_Penh'?" selected='selected'" : NULL).">Asia/Phnom_Penh</option>";
ECHO "<option value='Asia/Qostanay' ".(CONFIG('TIMEZONE') == 'Asia/Qostanay'?" selected='selected'" : NULL).">Asia/Qostanay</option>";
ECHO "<option value='Asia/Samarkand' ".(CONFIG('TIMEZONE') == 'Asia/Samarkand'?" selected='selected'" : NULL).">Asia/Samarkand</option>";
ECHO "<option value='Asia/Srednekolymsk' ".(CONFIG('TIMEZONE') == 'Asia/Srednekolymsk'?" selected='selected'" : NULL).">Asia/Srednekolymsk</option>";
ECHO "<option value='Asia/Tehran' ".(CONFIG('TIMEZONE') == 'Asia/Tehran'?" selected='selected'" : NULL).">Asia/Tehran</option>";
ECHO "<option value='Asia/Ulaanbaatar' ".(CONFIG('TIMEZONE') == 'Asia/Ulaanbaatar'?" selected='selected'" : NULL).">Asia/Ulaanbaatar</option>";
ECHO "<option value='Asia/Vladivostok' ".(CONFIG('TIMEZONE') == 'Asia/Vladivostok'?" selected='selected'" : NULL).">Asia/Vladivostok</option>";
ECHO "<option value='Asia/Yerevan' ".(CONFIG('TIMEZONE') == 'Asia/Yerevan'?" selected='selected'" : NULL).">Asia/Yerevan</option>";
ECHO "<option value='Asia/Anadyr' ".(CONFIG('TIMEZONE') == 'Asia/Anadyr'?" selected='selected'" : NULL).">Asia/Anadyr</option>";
ECHO "<option value='Asia/Atyrau' ".(CONFIG('TIMEZONE') == 'Asia/Atyrau'?" selected='selected'" : NULL).">Asia/Atyrau</option>";
ECHO "<option value='Asia/Bangkok' ".(CONFIG('TIMEZONE') == 'Asia/Bangkok'?" selected='selected'" : NULL).">Asia/Bangkok</option>";
ECHO "<option value='Asia/Brunei' ".(CONFIG('TIMEZONE') == 'Asia/Brunei'?" selected='selected'" : NULL).">Asia/Brunei</option>";
ECHO "<option value='Asia/Damascus' ".(CONFIG('TIMEZONE') == 'Asia/Damascus'?" selected='selected'" : NULL).">Asia/Damascus</option>";
ECHO "<option value='Asia/Dushanbe' ".(CONFIG('TIMEZONE') == 'Asia/Dushanbe'?" selected='selected'" : NULL).">Asia/Dushanbe</option>";
ECHO "<option value='Asia/Ho_Chi_Minh' ".(CONFIG('TIMEZONE') == 'Asia/Ho_Chi_Minh'?" selected='selected'" : NULL).">Asia/Ho_Chi_Minh</option>";
ECHO "<option value='Asia/Jakarta' ".(CONFIG('TIMEZONE') == 'Asia/Jakarta'?" selected='selected'" : NULL).">Asia/Jakarta</option>";
ECHO "<option value='Asia/Kamchatka' ".(CONFIG('TIMEZONE') == 'Asia/Kamchatka'?" selected='selected'" : NULL).">Asia/Kamchatka</option>";
ECHO "<option value='Asia/Kolkata' ".(CONFIG('TIMEZONE') == 'Asia/Kolkata'?" selected='selected'" : NULL).">Asia/Kolkata</option>";
ECHO "<option value='Asia/Kuwait' ".(CONFIG('TIMEZONE') == 'Asia/Kuwait'?" selected='selected'" : NULL).">Asia/Kuwait</option>";
ECHO "<option value='Asia/Manila' ".(CONFIG('TIMEZONE') == 'Asia/Manila'?" selected='selected'" : NULL).">Asia/Manila</option>";
ECHO "<option value='Asia/Novosibirsk' ".(CONFIG('TIMEZONE') == 'Asia/Novosibirsk'?" selected='selected'" : NULL).">Asia/Novosibirsk</option>";
ECHO "<option value='Asia/Pontianak' ".(CONFIG('TIMEZONE') == 'Asia/Pontianak'?" selected='selected'" : NULL).">Asia/Pontianak</option>";
ECHO "<option value='Asia/Qyzylorda' ".(CONFIG('TIMEZONE') == 'Asia/Qyzylorda'?" selected='selected'" : NULL).">Asia/Qyzylorda</option>";
ECHO "<option value='Asia/Seoul' ".(CONFIG('TIMEZONE') == 'Asia/Seoul'?" selected='selected'" : NULL).">Asia/Seoul</option>";
ECHO "<option value='Asia/Taipei' ".(CONFIG('TIMEZONE') == 'Asia/Taipei'?" selected='selected'" : NULL).">Asia/Taipei</option>";
ECHO "<option value='Asia/Thimphu' ".(CONFIG('TIMEZONE') == 'Asia/Thimphu'?" selected='selected'" : NULL).">Asia/Thimphu</option>";
ECHO "<option value='Asia/Urumqi' ".(CONFIG('TIMEZONE') == 'Asia/Urumqi'?" selected='selected'" : NULL).">Asia/Urumqi</option>";
ECHO "<option value='Asia/Yakutsk' ".(CONFIG('TIMEZONE') == 'Asia/Yakutsk'?" selected='selected'" : NULL).">Asia/Yakutsk</option>";

ECHO "<option value='Atlantic/Azores' ".(CONFIG('TIMEZONE') == 'Atlantic/Azores'?" selected='selected'" : NULL).">Atlantic/Azores</option>";
ECHO "<option value='Atlantic/Faroe' ".(CONFIG('TIMEZONE') == 'Atlantic/Faroe'?" selected='selected'" : NULL).">Atlantic/Faroe</option>";
ECHO "<option value='Atlantic/St_Helena' ".(CONFIG('TIMEZONE') == 'Atlantic/St_Helena'?" selected='selected'" : NULL).">Atlantic/St_Helena</option>";
ECHO "<option value='Atlantic/Bermuda' ".(CONFIG('TIMEZONE') == 'Atlantic/Bermuda'?" selected='selected'" : NULL).">Atlantic/Bermuda</option>";
ECHO "<option value='Atlantic/Madeira' ".(CONFIG('TIMEZONE') == 'Atlantic/Madeira'?" selected='selected'" : NULL).">Atlantic/Madeira</option>";
ECHO "<option value='Atlantic/Stanley' ".(CONFIG('TIMEZONE') == 'Atlantic/Stanley'?" selected='selected'" : NULL).">Atlantic/Stanley</option>";
ECHO "<option value='Atlantic/Canary' ".(CONFIG('TIMEZONE') == 'Atlantic/Canary'?" selected='selected'" : NULL).">Atlantic/Canary</option>";
ECHO "<option value='Atlantic/Reykjavik' ".(CONFIG('TIMEZONE') == 'Atlantic/Reykjavik'?" selected='selected'" : NULL).">Atlantic/Reykjavik</option>";
ECHO "<option value='Atlantic/Cape_Verde' ".(CONFIG('TIMEZONE') == 'Atlantic/Cape_Verde'?" selected='selected'" : NULL).">Atlantic/Cape_Verde</option>";
ECHO "<option value='Atlantic/South_Georgia' ".(CONFIG('TIMEZONE') == 'Atlantic/South_Georgia'?" selected='selected'" : NULL).">Atlantic/South_Georgia</option>";

ECHO "<option value='Australia/Adelaide' ".(CONFIG('TIMEZONE') == 'Australia/Adelaide'?" selected='selected'" : NULL).">Australia/Adelaide</option>";
ECHO "<option value='Australia/Darwin' ".(CONFIG('TIMEZONE') == 'Australia/Darwin'?" selected='selected'" : NULL).">Australia/Darwin</option>";
ECHO "<option value='Australia/Lord_Howe' ".(CONFIG('TIMEZONE') == 'Australia/Lord_Howe'?" selected='selected'" : NULL).">Australia/Lord_Howe</option>";
ECHO "<option value='Australia/Brisbane' ".(CONFIG('TIMEZONE') == 'Australia/Brisbane'?" selected='selected'" : NULL).">Australia/Brisbane</option>";
ECHO "<option value='Australia/Eucla' ".(CONFIG('TIMEZONE') == 'Australia/Eucla'?" selected='selected'" : NULL).">Australia/Eucla</option>";
ECHO "<option value='Australia/Melbourne' ".(CONFIG('TIMEZONE') == 'Australia/Melbourne'?" selected='selected'" : NULL).">Australia/Melbourne</option>";
ECHO "<option value='Australia/Broken_Hill' ".(CONFIG('TIMEZONE') == 'Australia/Broken_Hill'?" selected='selected'" : NULL).">Australia/Broken_Hill</option>";
ECHO "<option value='Australia/Hobart' ".(CONFIG('TIMEZONE') == 'Australia/Hobart'?" selected='selected'" : NULL).">Australia/Hobart</option>";
ECHO "<option value='Australia/Perth' ".(CONFIG('TIMEZONE') == 'Australia/Perth'?" selected='selected'" : NULL).">Australia/Perth</option>";
ECHO "<option value='Australia/Currie' ".(CONFIG('TIMEZONE') == 'Australia/Currie'?" selected='selected'" : NULL).">Australia/Currie</option>";
ECHO "<option value='Australia/Lindeman' ".(CONFIG('TIMEZONE') == 'Australia/Lindeman'?" selected='selected'" : NULL).">Australia/Lindeman</option>";
ECHO "<option value='Australia/Sydney' ".(CONFIG('TIMEZONE') == 'Australia/Sydney'?" selected='selected'" : NULL).">Australia/Sydney</option>";

ECHO "<option value='Europe/Amsterdam' ".(CONFIG('TIMEZONE') == 'Europe/Amsterdam'?" selected='selected'" : NULL).">Europe/Amsterdam</option>";
ECHO "<option value='Europe/Belgrade' ".(CONFIG('TIMEZONE') == 'Europe/Belgrade'?" selected='selected'" : NULL).">Europe/Belgrade</option>";
ECHO "<option value='Europe/Bucharest' ".(CONFIG('TIMEZONE') == 'Europe/Bucharest'?" selected='selected'" : NULL).">Europe/Bucharest</option>";
ECHO "<option value='Europe/Copenhagen' ".(CONFIG('TIMEZONE') == 'Europe/Copenhagen'?" selected='selected'" : NULL).">Europe/Copenhagen</option>";
ECHO "<option value='Europe/Helsinki' ".(CONFIG('TIMEZONE') == 'Europe/Helsinki'?" selected='selected'" : NULL).">Europe/Helsinki</option>";
ECHO "<option value='Europe/Kaliningrad' ".(CONFIG('TIMEZONE') == 'Europe/Kaliningrad'?" selected='selected'" : NULL).">Europe/Kaliningrad</option>";
ECHO "<option value='Europe/Ljubljana' ".(CONFIG('TIMEZONE') == 'Europe/Ljubljana'?" selected='selected'" : NULL).">Europe/Ljubljana</option>";
ECHO "<option value='Europe/Malta' ".(CONFIG('TIMEZONE') == 'Europe/Malta'?" selected='selected'" : NULL).">Europe/Malta</option>";
ECHO "<option value='Europe/Moscow' ".(CONFIG('TIMEZONE') == 'Europe/Moscow'?" selected='selected'" : NULL).">Europe/Moscow</option>";
ECHO "<option value='Europe/Prague' ".(CONFIG('TIMEZONE') == 'Europe/Prague'?" selected='selected'" : NULL).">Europe/Prague</option>";
ECHO "<option value='Europe/San_Marino' ".(CONFIG('TIMEZONE') == 'Europe/San_Marino'?" selected='selected'" : NULL).">Europe/San_Marino</option>";
ECHO "<option value='Europe/Skopje' ".(CONFIG('TIMEZONE') == 'Europe/Skopje'?" selected='selected'" : NULL).">Europe/Skopje</option>";
ECHO "<option value='Europe/Tirane' ".(CONFIG('TIMEZONE') == 'Europe/Tirane'?" selected='selected'" : NULL).">Europe/Tirane</option>";
ECHO "<option value='Europe/Vatican' ".(CONFIG('TIMEZONE') == 'Europe/Vatican'?" selected='selected'" : NULL).">Europe/Vatican</option>";
ECHO "<option value='Europe/Warsaw' ".(CONFIG('TIMEZONE') == 'Europe/Warsaw'?" selected='selected'" : NULL).">Europe/Warsaw</option>";
ECHO "<option value='Europe/Andorra' ".(CONFIG('TIMEZONE') == 'Europe/Andorra'?" selected='selected'" : NULL).">Europe/Andorra</option>";
ECHO "<option value='Europe/Berlin' ".(CONFIG('TIMEZONE') == 'Europe/Berlin'?" selected='selected'" : NULL).">Europe/Berlin</option>";
ECHO "<option value='Europe/Budapest' ".(CONFIG('TIMEZONE') == 'Europe/Budapest'?" selected='selected'" : NULL).">Europe/Budapest</option>";
ECHO "<option value='Europe/Dublin' ".(CONFIG('TIMEZONE') == 'Europe/Dublin'?" selected='selected'" : NULL).">Europe/Dublin</option>";
ECHO "<option value='Europe/Isle_of_Man' ".(CONFIG('TIMEZONE') == 'Europe/Isle_of_Man'?" selected='selected'" : NULL).">Europe/Isle_of_Man</option>";
ECHO "<option value='Europe/Kiev' ".(CONFIG('TIMEZONE') == 'Europe/Kiev'?" selected='selected'" : NULL).">Europe/Kiev</option>";
ECHO "<option value='Europe/London' ".(CONFIG('TIMEZONE') == 'Europe/London'?" selected='selected'" : NULL).">Europe/London</option>";
ECHO "<option value='Europe/Mariehamn' ".(CONFIG('TIMEZONE') == 'Europe/Mariehamn'?" selected='selected'" : NULL).">Europe/Mariehamn</option>";
ECHO "<option value='Europe/Oslo' ".(CONFIG('TIMEZONE') == 'Europe/Oslo'?" selected='selected'" : NULL).">Europe/Oslo</option>";
ECHO "<option value='Europe/Riga' ".(CONFIG('TIMEZONE') == 'Europe/Riga'?" selected='selected'" : NULL).">Europe/Riga</option>";
ECHO "<option value='Europe/Sarajevo' ".(CONFIG('TIMEZONE') == 'Europe/Sarajevo'?" selected='selected'" : NULL).">Europe/Sarajevo</option>";
ECHO "<option value='Europe/Sofia' ".(CONFIG('TIMEZONE') == 'Europe/Sofia'?" selected='selected'" : NULL).">Europe/Sofia</option>";
ECHO "<option value='Europe/Ulyanovsk' ".(CONFIG('TIMEZONE') == 'Europe/Ulyanovsk'?" selected='selected'" : NULL).">Europe/Ulyanovsk</option>";
ECHO "<option value='Europe/Vienna' ".(CONFIG('TIMEZONE') == 'Europe/Vienna'?" selected='selected'" : NULL).">Europe/Vienna</option>";
ECHO "<option value='Europe/Zagreb' ".(CONFIG('TIMEZONE') == 'Europe/Zagreb'?" selected='selected'" : NULL).">Europe/Zagreb</option>";
ECHO "<option value='Europe/Astrakhan' ".(CONFIG('TIMEZONE') == 'Europe/Astrakhan'?" selected='selected'" : NULL).">Europe/Astrakhan</option>";
ECHO "<option value='Europe/Bratislava' ".(CONFIG('TIMEZONE') == 'Europe/Bratislava'?" selected='selected'" : NULL).">Europe/Bratislava</option>";
ECHO "<option value='Europe/Busingen' ".(CONFIG('TIMEZONE') == 'Europe/Busingen'?" selected='selected'" : NULL).">Europe/Busingen</option>";
ECHO "<option value='Europe/Gibraltar' ".(CONFIG('TIMEZONE') == 'Europe/Gibraltar'?" selected='selected'" : NULL).">Europe/Gibraltar</option>";
ECHO "<option value='Europe/Istanbul' ".(CONFIG('TIMEZONE') == 'Europe/Istanbul'?" selected='selected'" : NULL).">Europe/Istanbul</option>";
ECHO "<option value='Europe/Kirov' ".(CONFIG('TIMEZONE') == 'Europe/Kirov'?" selected='selected'" : NULL).">Europe/Kirov</option>";
ECHO "<option value='Europe/Luxembourg' ".(CONFIG('TIMEZONE') == 'Europe/Luxembourg'?" selected='selected'" : NULL).">Europe/Luxembourg</option>";
ECHO "<option value='Europe/Minsk' ".(CONFIG('TIMEZONE') == 'Europe/Minsk'?" selected='selected'" : NULL).">Europe/Minsk</option>";
ECHO "<option value='Europe/Paris' ".(CONFIG('TIMEZONE') == 'Europe/Paris'?" selected='selected'" : NULL).">Europe/Paris</option>";
ECHO "<option value='Europe/Rome' ".(CONFIG('TIMEZONE') == 'Europe/Rome'?" selected='selected'" : NULL).">Europe/Rome</option>";
ECHO "<option value='Europe/Saratov' ".(CONFIG('TIMEZONE') == 'Europe/Saratov'?" selected='selected'" : NULL).">Europe/Saratov</option>";
ECHO "<option value='Europe/Stockholm' ".(CONFIG('TIMEZONE') == 'Europe/Stockholm'?" selected='selected'" : NULL).">Europe/Stockholm</option>";
ECHO "<option value='Europe/Uzhgorod' ".(CONFIG('TIMEZONE') == 'Europe/Uzhgorod'?" selected='selected'" : NULL).">Europe/Uzhgorod</option>";
ECHO "<option value='Europe/Vilnius' ".(CONFIG('TIMEZONE') == 'Europe/Vilnius'?" selected='selected'" : NULL).">Europe/Vilnius</option>";
ECHO "<option value='Europe/Zaporozhye' ".(CONFIG('TIMEZONE') == 'Europe/Zaporozhye'?" selected='selected'" : NULL).">Europe/Zaporozhye</option>";
ECHO "<option value='Europe/Athens' ".(CONFIG('TIMEZONE') == 'Europe/Athens'?" selected='selected'" : NULL).">Europe/Athens</option>";
ECHO "<option value='Europe/Brussels' ".(CONFIG('TIMEZONE') == 'Europe/Brussels'?" selected='selected'" : NULL).">Europe/Brussels</option>";
ECHO "<option value='Europe/Chisinau' ".(CONFIG('TIMEZONE') == 'Europe/Chisinau'?" selected='selected'" : NULL).">Europe/Chisinau</option>";
ECHO "<option value='Europe/Guernsey' ".(CONFIG('TIMEZONE') == 'Europe/Guernsey'?" selected='selected'" : NULL).">Europe/Guernsey</option>";
ECHO "<option value='Europe/Jersey' ".(CONFIG('TIMEZONE') == 'Europe/Jersey'?" selected='selected'" : NULL).">Europe/Jersey</option>";
ECHO "<option value='Europe/Lisbon' ".(CONFIG('TIMEZONE') == 'Europe/Lisbon'?" selected='selected'" : NULL).">Europe/Lisbon</option>";
ECHO "<option value='Europe/Madrid' ".(CONFIG('TIMEZONE') == 'Europe/Madrid'?" selected='selected'" : NULL).">Europe/Madrid</option>";
ECHO "<option value='Europe/Monaco' ".(CONFIG('TIMEZONE') == 'Europe/Monaco'?" selected='selected'" : NULL).">Europe/Monaco</option>";
ECHO "<option value='Europe/Podgorica' ".(CONFIG('TIMEZONE') == 'Europe/Podgorica'?" selected='selected'" : NULL).">Europe/Podgorica</option>";
ECHO "<option value='Europe/Samara' ".(CONFIG('TIMEZONE') == 'Europe/Samara'?" selected='selected'" : NULL).">Europe/Samara</option>";
ECHO "<option value='Europe/Simferopol' ".(CONFIG('TIMEZONE') == 'Europe/Simferopol'?" selected='selected'" : NULL).">Europe/Simferopol</option>";
ECHO "<option value='Europe/Tallinn' ".(CONFIG('TIMEZONE') == 'Europe/Tallinn'?" selected='selected'" : NULL).">Europe/Tallinn</option>";
ECHO "<option value='Europe/Vaduz' ".(CONFIG('TIMEZONE') == 'Europe/Vaduz'?" selected='selected'" : NULL).">Europe/Vaduz</option>";
ECHO "<option value='Europe/Volgograd' ".(CONFIG('TIMEZONE') == 'Europe/Volgograd'?" selected='selected'" : NULL).">Europe/Volgograd</option>";
ECHO "<option value='Europe/Zurich' ".(CONFIG('TIMEZONE') == 'Europe/Zurich'?" selected='selected'" : NULL).">Europe/Zurich</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";