<?php 
  
/*
------------------------------------------------
AlphaCMS - универсальный движок для вашего сайта
E-mail администрации проекта: adm@alpha-cms.ru
Официальный сайт поддержки: alpha-cms.ru
Руководитель проекта: adm (ID 1)
------------------------------------------------
*/
  
FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../../system/connections/global/$connect.php"); 
  
}

ACCESS('users');

IF (ISSET($_FILES['file']) && AJAX() == TRUE){
  
  IF (GET('type') == 'blogs'){
    
    $ts = "BLOGS";
  
  }ELSEIF (GET('type') == 'news'){
    
    $ts = "NEWS";
  
  }ELSEIF (GET('type') == 'forum'){
    
    $ts = "FORUM";
  
  }ELSE{
    
    $ts = "COMMENTS";
  
  }
  
  //Максимальный размер для выгрузки
  $MaxFileSize = CONFIG('MAXFILESIZE');
  
  //Разрешенные форматы для выгрузки
  $AllowFileExtension = ARRAY('pptx', 'ppt', 'jad', 'jar', 'apk', 'mp3', 'mp4', 'wav', 'aac', 'zip', '7zip', 'rar', 'doc', 'txt', 'docx', 'pdf', 'jpg', 'jpeg', 'png', 'gif', '3gp', 'ppt', 'pptx', 'flv', 'mkv');
  
  //Оригинальное название аудио
  $FileNameExp = $_FILES['file']['name'];
  
  //Оригинальное название аудио без расширения
  $FileName = TEXT_PROCESSING(PREG_REPLACE('#\.[^\.]*$#', NULL, $FileNameExp));
  
  //Расширение файла
  $Exp = STRTOLOWER(PREG_REPLACE('#^.*\.#', NULL, $FileNameExp));
  
  //Временный файл
  $TempName = $_FILES['file']['tmp_name'];
  
  //Папка куда будут загружаться файлы
  $UploadDir = ROOT."/files/upload/files/source/";
  
  //Проверка расширения файла
  $FileExtension = PATHINFO(STRTOLOWER($FileNameExp), PATHINFO_EXTENSION);
  
  $err_data = 0;
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `ATTACHMENTS` WHERE `".$ts."` = '1' AND `USER_ID` = '".$user['ID']."' AND `ACT` = '0' LIMIT 1") >= 3){
    
    $error = "Нельзя прикреплять более 3 файлов к 1 объекту";
    $err_data = 1;
    
  }
  
  //Настройки файлов
  $files_settings = @PARSE_INI_FILE(ROOT."/system/config/files.ini", FALSE);
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `FILES` WHERE `USER_ID` = '".$user['ID']."'") >= $files_settings['FILES_LIMIT']){

    $error = "Вы исчерпали лимит на добавление файлов";
    $err_data = 1;
    
  }
  
  IF (CONFIG('FILE_ACCESS') == 0) {
    
    $error = "Выгрузка файлов на сайте приостановлена администрацией";
    $err_data = 1;
  
  }
  
  IF (!IN_ARRAY($FileExtension, $AllowFileExtension)) {
    
    $error = "Неверный формат файла";
    $err_data = 1;
  
  }
  
  //Проверка размера файла
  IF (FILESIZE($TempName) > $MaxFileSize) {
    
    $error = "Размер загружаемого файла превышает установленные ограничения";
    $err_data = 1;
  
  }
  
  IF (STR($FileName) < 1) {
    
    $error = "Имя загружаемого файла не должно быть менее 1 символа";
    $err_data = 1;
  
  }

  IF (STR($FileName) > 200) {
    
    $error = "Имя загружаемого файла не должно быть более 200 символов";
    $err_data = 1;
  
  }
  
  IF ($err_data == 1){
    
    ECHO "<div class='file-upload-progress' style='color: red;'><i class='fa fa-exclamation-triangle fa-fw'></i> ".LG($error)."</div>";
  
  }ELSE{
    
    $dir = DB::GET_STRING("SELECT `ID` FROM `FILES_DIR` WHERE `USER_ID` = '".$user['ID']."' AND `NAME` = 'Вложения' AND `PRIVATE` = '3' LIMIT 1"); 
    
    $ID = DB::GET_ADD("INSERT INTO `FILES` (`NAME`, `USER_ID`, `EXT`, `SIZE`, `TIME`, `ID_DIR`) VALUES ('".$FileName."', '".$user['ID']."', '".$Exp."', '".FILESIZE($TempName)."', '".TIME()."', '".$dir['ID']."')");
    
    //Сохраняем файл если все хорошо
    $CopyFile = COPY($TempName, "".$UploadDir."".$ID.".".$Exp."");
    
    IF (!$CopyFile) {
      
      ECHO "<div class='file-upload-progress' style='color: red;'><i class='fa fa-exclamation-triangle fa-fw'></i> ".LG('Неизвестная ошибка')."</div>";
      
      DB::GET_SET("DELETE FROM `FILES` WHERE `ID` = '".$ID."' LIMIT 1");
    
    }ELSE{
      
      DB::GET_ADD("INSERT INTO `ATTACHMENTS` (`USER_ID`, `OBJECT_ID`, `TYPE`, `TIME`, `".$ts."`, `ID_POST`) VALUES ('".$user['ID']."', '".$ID."', 'files', '".TIME()."', '1', '0')");
        
      //Отправляем запрос на обновление листа если успешно
      $url = BASE64_DECODE(GET('url')); 
      
      ?>
      <script>
      var data = "<?=$url?>";
      
      var toLoad = data+' #atcom-upgrade';
      
      open_modal = 0;
      
      $("#atcom-upgrade").load(toLoad); 
      
      $("#at_comment").removeClass("open");
      
      setTimeout( function(){	
        
        $("#at_comment").parents(".overlay").removeClass("open");
      
      }, 5);
      
      $('#upgrade-optima2').html('');
      
      </script>  
      <?
    
    }
  
  }
  
}ELSE{
  
  ECHO LG('Не удалось установить соединение с ресивером.');

}
 
?>